# Class BridgeData

#### Hierarchy

- BridgeData

- Defined in utils/accounts/config.ts:44

#####
Index

### Constructors

constructor

### Properties

config
guardianSetIndex
lastLamports

### Methods

deserialize

## Constructors

### constructor

- new BridgeData(guardianSetIndex, lastLamports, config): BridgeData

- #### Parameters

  - ##### guardianSetIndex: number

  - ##### lastLamports: bigint

  - ##### config: BridgeConfig

  #### Returns BridgeData

  - Defined in utils/accounts/config.ts:49

## Properties

### config

config: BridgeConfig

- Defined in utils/accounts/config.ts:47

### guardianSetIndex

guardianSetIndex: number

- Defined in utils/accounts/config.ts:45

### lastLamports

lastLamports: bigint

- Defined in utils/accounts/config.ts:46

## Methods

### `Static` deserialize

- deserialize(data): BridgeData

- #### Parameters

  - ##### data: Buffer

  #### Returns BridgeData

  - Defined in utils/accounts/config.ts:59

Generated using TypeDoc